/************* font-face **************/

@font-face {
  font-family: "Gilroy";
  src: url("../fonts/gilroy/Gilroy-Extrabold.woff2") format("woff2");
  font-display: swap;
  font-weight: 800;
  font-style: normal;
}

@font-face {
  font-family: "Gilroy";
  src: url("../fonts/gilroy/Gilroy-Medium.woff2") format("woff2");
  font-display: swap;
  font-weight: 500;
  font-style: normal;
}

/************* general **************/

*,
*:after,
*:before {
  font-family: "Gilroy", sans-serif;
  position: relative;
  box-sizing: border-box;
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video,
button {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  box-shadow: 0 0 0 0 transparent inset;
  transition: 0s;
  background-color: inherit;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

a,
button,
[data-mail] {
  transition: 0.3s;
  cursor: pointer;
  color: inherit;
}

button {
  border: 0;
  padding: 0;
  background: none;
  display: inline-block;
}

a,
a:hover,
button,
button:hover,
*:focus,
*:active {
  text-decoration: none;
  outline: none;
}

body {
  overflow: hidden;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
}

ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

strong {
  font-weight: 800;
}

img {
  max-width: 100%;
}

input,
textarea {
  background: transparent;
  border: 0;
  resize: none;
}

.leaflet-bottom {
  display: none;
}

/* selection styling */

*::-moz-selection {
  background-color: #ff3765;
  color: #fff;
}

*::selection {
  background-color: #ff3765;
  color: #fff;
}

/* selection placeholder */

::-webkit-input-placeholder {
  color: #271c48;
  opacity: 0.6;
}

::-moz-placeholder {
  color: #271c48;
  opacity: 0.6;
}

::-ms-input-placeholder {
  color: #271c48;
  opacity: 0.6;
}

/* scrollbar styling */

* {
  scrollbar-color: #c9c9c9 #fafafa;
  scrollbar-width: thin;
}

*::-webkit-scrollbar {
  width: 3px;
  background-color: #fafafa;
}

*::-webkit-scrollbar-thumb {
  background-color: #c9c9c9;
}

/*----------------------------------------------------< PRESET APP >---------------------------------------------------*/

/* * */

html,
body {
  background-color: #fafafa;
  color: #3e394e;
  width: 100%;
  overflow-x: hidden;
  font-family: "Gilroy", sans-serif;
  font-weight: 500;
}

.dr {
  display: inline-block;
  /* background: linear-gradient(to right, #9e11d0, #ff3766, #ffab02); */
  background: linear-gradient(to right, #667eea, #764ba2);
  background-clip: border-box;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-shadow: 0 10px 25px rgba(214, 21, 154, 0.2);
}

.c {
  width: 100%;
  padding: 0 12vw;
}

/*----------------------------------------------------< APP >---------------------------------------------------*/

/************* app **************/

.mc {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  overflow: hidden;
}

/* height:100vh; */

.mc #m {
  width: 117%;
  height: 100%;
}

.mc .leaflet-marker-icon {
  width: calc(50px + 24 * (100vw - 320px) / 1080) !important;
  height: calc(50px + 24 * (100vw - 320px) / 1080) !important;
  margin: calc(-25px - 12 * (100vw - 320px) / 1080) 0 0
    calc(-25px - 12 * (100vw - 320px) / 1080) !important;
}

.mc .leaflet-control-container {
  left: 100vw;
  margin-left: calc(-250px - 150 * (100vw - 320px) / 1080);
  top: 50%;
}

.mc .leaflet-bar {
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.03);
  transform: translateY(-100%);
  background: linear-gradient(to top, #9e11d0, #ff3766, #ffab02);
}

.mc .leaflet-bar a {
  border-bottom: 0;
  background-color: transparent;
  color: #fff;
}

.mc .leaflet-bar a:hover {
  background-color: rgba(0, 0, 0, 0.2);
  border-bottom: 0;
  color: #fff;
}

/************* header **************/

#h {
  transition: 0.5s;
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  width: 100%;
  height: 130px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 calc(20px + 2%);
}

.fx #h {
  height: 90px;
  padding: 0 calc(15px + 1%);
}

#h:before {
  content: "";
  transition: 0.5s;
  top: 0;
  left: 0;
  width: 100%;
  height: 0;
  position: absolute;
  background: #fafafa;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.03);
}

.fx #h:before {
  height: 100%;
}

#h .lg {
  display: block;
  width: 135px;
  top: 3px;
}

#h nav ul {
  display: flex;
  font-size: 15px;
  align-items: center;
  font-weight: 800;
}

#h nav ul li + li {
  margin-left: 15px;
}

#h nav a.a {
  display: block;
  border-radius: 35px;
  padding: 15px 20px 14px;
  overflow: hidden;
  border: 1px solid rgba(0, 0, 0, 0);
}

#h nav a:active {
  transform: scale(0.9);
}

#h nav a.a:not(.ac):hover {
  background-color: rgba(255, 255, 255, 0.3);
  border: 1px solid rgba(0, 0, 0, 0.1);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.03);
}

#h nav a.ac {
  /* background: linear-gradient(to right, #9e11d0, #ff3766, #ffab02); */
  background: linear-gradient(to right, #667eea, #764ba2);
  color: #fff;
  box-shadow: 0 10px 25px rgba(214, 21, 154, 0.15);
  border: 0;
}

#h .fl {
  overflow: hidden;
  width: 20px;
  height: 20px;
  margin-left: 20px;
}

#h .fl ul:before {
  opacity: 0;
  background: #fafafa;
  content: "";
  width: calc(100% + 10px);
  height: calc(100% + 10px);
  top: -5px;
  left: -5px;
  position: absolute;
  border-radius: 50px;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.03);
}

#h .fl:hover ul:before {
  opacity: 1;
}

#h .fl:hover {
  overflow: visible;
}

#h .fl ul {
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 20px;
  position: absolute;
  top: 0;
  left: 0;
}

#h .fl li {
  width: 20px;
  height: 20px;
  margin: 0;
}

#h .fl li a {
  opacity: 0.5;
}

#h .fl li a:hover {
  opacity: 1;
}

#h .fl li + li {
  margin-top: 8px;
}

#h .fl a {
  display: block;
  width: 20px;
}

#h .fl img {
  width: 20px;
  border-radius: 60%;
}

#h .m {
  display: flex;
  align-items: center;
}

#h .nv {
  cursor: pointer;
  z-index: 9999;
  margin: auto;
  margin-left: 15px;
  transition: 0.2s;
  padding: 12px;
 background: linear-gradient(to right, #667eea, #764ba2);
  display: none;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  width: 40px;
  height: 40px;
}

#h .nv:active {
  transform: scale(0.9);
}

/************* e **************/

.e {
  margin-bottom: 15px;
}

.e:last-child {
  margin-bottom: 0;
}

.e small {
  display: block;
  font-size: calc(12px + 1 * (100vw - 320px) / 1080);
  letter-spacing: 2px;
  color: #7d778d;
}

.e strong {
  display: block;
  font-size: calc(14px + 1 * (100vw - 320px) / 1080);
  margin-top: 7px;
}

/************* a **************/

/* Privacy button */

.privacy {
  animation: status 1s infinite linear;
  display: block;
  margin-top: -3%;
  margin-bottom: 6%;
  padding: 14px;
  font-size: calc(14px + 1 * (100vw - 320px) / 1080);
  text-align: center;
  text-transform: uppercase;
  font-weight: 800;
  background: #ff3765;
  color: #fff;
  border-radius: 5px;
}

.privacy img {
  display: inline-block;
  padding-right: 10px;
  max-height: 15px;
}

@keyframes status {
  0% {
    box-shadow: 0 0 0 0 rgba(255, 55, 101, 0.5);
  }
  100% {
    box-shadow: 0 0 0 10px rgba(255, 55, 101, 0);
  }
}

#a {
  padding-top: 10%;
  padding-bottom: 10%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

#a:before {
  pointer-events: none;
  content: "";
  position: absolute;
  bottom: 0;
  width: 100%;
  left: 0;
  height: 200px;
  background: linear-gradient(
    to bottom,
    rgba(250, 250, 250, 0),
    rgba(250, 250, 250, 1)
  );
  z-index: 100;
}

#a > *:not(.mc) {
  z-index: 150;
}

#a .r {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
}

#a h1 {
  font-weight: 800;
  font-size: calc(25px + 15 * (100vw - 320px) / 1080);
  white-space: nowrap;
  text-align: center;
}
#a h2 {
  font-weight: 600;
  font-size: calc(20px + 15 * (100vw - 320px) / 1080);
  margin-bottom: 7px;
}
.m-q{
  margin: 12px 0;
}
#a h1 strong {
  display: block;
  font-size: 120%;
}

#a .rc {
  background-color: #fafafa;
  box-shadow: 0 10px 25px rgba(62, 57, 78, 0.2);
  width: calc(200px + 150 * (100vw - 320px) / 1080);
  padding: calc(25px + 10 * (100vw - 320px) / 1080);
  border-radius: calc(20px + 5 * (100vw - 320px) / 1080) 0 0
    calc(20px + 5 * (100vw - 320px) / 1080);
}

#a .l {
  width: 70%;
  box-shadow: 0 10px 25px rgba(62, 57, 78, 0.2);
  padding: 50px 25px;
  border-radius: calc(20px + 5 * (100vw - 320px) / 1080);
}

#a .l:before {
  pointer-events: none;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  transform: scale(2);
  left: 0;
  top: 0;
  background: radial-gradient(
    rgba(255, 255, 255, 0.9),
    rgba(255, 255, 255, 0) 70%
  );
}

#a .m > * {
  padding: 15px;
  display: flex;
  font-size: 11px;
  text-align: right;
  justify-content: flex-end;
}

#a .m > * img {
  width: 25px;
  margin-left: 5px;
}

#a .in {
  display: flex;
  flex-wrap: wrap;
}

#a .in .e1 {
  width: 70%;
  padding-right: 25px;
}

#a .in .e3 {
  width: 100%;
}

#a .in .e:not(:last-child) {
  margin-bottom: 20px;
}

#a .in .dr {
  font-size: calc(18px + 10 * (100vw - 320px) / 1080);
}
.dr1 {
  font-size: calc(18px + 10 * (100vw - 320px) / 1080);
}
#a .in .ipv4 {
  cursor: pointer;
}

#a .in .copy {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  padding: 7px;
  border-radius: 4px;
  box-shadow: 0 10px 25px rgb(62 57 78 / 20%);
  background: #fafafa;
  font-size: calc(13px + 1 * (100vw - 320px) / 1080);
  font-weight: 800;
  color: #2ac831;
}

/************* f **************/
.f {
  margin: calc(25px + 10 * (100vw - 320px) / 1080) 0;
  height: calc(30px + 25 * (98vw - 320px) / 1080);
  background-color: #fafafa;
  width: 100%;
  border: 1px solid;
  border-radius: calc(20px + 5 * (100vw - 320px) / 1080);
}
.f input {
  padding: 0 calc(75px + 10 * (100vw - 320px) / 1080) 0
    calc(20px + 10 * (100vw - 320px) / 1080);
  position: absolute;
  top: 0;
  padding-top: 2px;
  font-weight: 500;
  left: 0;
  width: 100%;
  height: 100%;
  font-family: inherit;
  font-size: calc(14px + 4 * (100vw - 320px) / 1080);
}
.f #phoneNumber{
    padding: 0 calc(75px + 10*(100vw - 320px) / 1080) 0 calc(37px + 10*(100vw - 320px) / 1080) !important;
}
.iti--separate-dial-code .iti__selected-flag {
    background: none !important;
}
.iti__arrow {
    display: none !important;
}
.logo{
  font-weight: 800;
    font-size: calc(25px + 15*(100vw - 320px) / 1080);
    white-space: nowrap;
    text-align: center;
}
.logo-btm{
  margin-bottom: 10px;
}
.f button {
  transition: transform 0.2s;
  box-shadow: 0 10px 25px rgba(214, 21, 154, 0.15);
  align-items: center;
  justify-content: center;
  display: flex;
  width: calc(25px + 25 * (100vw - 320px) / 1080);
  height: calc(25px + 25 * (100vw - 320px) / 1080);
  position: absolute;
  top: 1px;
  right: 2px;
  background: linear-gradient(to right, #667eea, #764ba2);
  border-radius: calc(20px + 5 * (100vw - 320px) / 1080);
}

.f button img {
  width: 45%;
}

.f button:active {
  transform: scale(0.9);
}

.cf {
  padding: 0 8vw;
}

.u {
  display: flex;
  text-align: center;
  margin: calc(-20px - 10 * (100vw - 320px) / 1080);
  margin-bottom: 0;
}

.u > * {
  padding: calc(20px + 10 * (100vw - 320px) / 1080);
  width: 33.33%;
}

.u i {
  margin: auto;
  /*background: linear-gradient(to right, #667eea, #764ba2); */
  background: linear-gradient(to right, #667eea, #764ba2);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  width: calc(65px + 30 * (100vw - 320px) / 1080);
  height: calc(65px + 30 * (100vw - 320px) / 1080);
}

.u i img {
  width: 50%;
}

.u h2 {
  font-size: calc(15px + 3 * (100vw - 320px) / 1080);
  font-weight: bold;
  margin: calc(10px + 5 * (100vw - 320px) / 1080);
}

.u p {
  font-size: calc(11px + 1 * (100vw - 320px) / 1080);
  line-height: 1.5;
  color: #7d778d;
}

/************* s **************/

.s:before {
  pointer-events: none;
  content: "";
  position: absolute;
  bottom: 0;
  width: 100%;
  left: 0;
  height: 50px;
  background: linear-gradient(
    to bottom,
    rgba(250, 250, 250, 0),
    rgba(250, 250, 250, 1)
  );
  z-index: 100;
}

.s {
  margin-top: 90px;
  padding: calc(30px + 2%) 0;
}

.s .cf {
  padding: 0 12vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.s .i {
  flex: 1;
}

.s .i h1 {
  margin-bottom: calc(15px + 1%);
  font-size: calc(25px + 15 * (100vw - 320px) / 1080);
  line-height: calc(47px + 5 * (100vw - 320px) / 1080);
  font-weight: 800;
}

.s .i p {
  font-size: calc(12px + 1 * (100vw - 320px) / 1080);
  line-height: 1.9;
  color: #7d778d;
}

.s .t {
  width: 650px;
  margin-left: 25px;
}

@media screen and (max-width: 1300px) {
  .s .cf {
    flex-wrap: wrap;
  }
  .s .i {
    flex: none;
    width: 100%;
    text-align: center;
  }
  .s .t {
    margin: 2% auto auto auto;
    text-align: center;
  }
}

/* ads  */

.ads {
  margin-top: -3%;
  margin-bottom: 1.5%;
  width: 100%;
}

.ads2 {
  margin-top: 2%;
  width: 100%;
}

.adsbygoogle {
  width: 300px;
  height: 250px;
}

@media (min-width: 468px) {
  .adsbygoogle {
    width: 100%;
    height: 60px;
  }
}

@media (min-width: 728px) {
  .adsbygoogle {
    width: 100%;
    height: 90px;
  }
}

/************* footer **************/

#f {
  background-color: #f5f6f3;
  margin-top: calc(25px + 10 * (100vw - 320px) / 1080);
}

#f .lo {
  width: 100px;
  margin-bottom: 15px;
}

#f .l {
  flex: 1;
}

#f p {
  font-size: calc(11px + 1 * (100vw - 320px) / 1080);
  line-height: 1.5;
  color: #7d778d;
}

#f li a {
  color: #7d778d;
}

#f a:hover {
  color: #ff3765;
}

#f .t {
  padding: calc(25px + 2%) 0;
}

#f .t .c {
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
}

#f .t .c > div:not(.nv) {
  padding-right: calc(20px + 20 * (100vw - 320px) / 1080);
}

#f .t li {
  white-space: nowrap;
}

#f .t li + li {
  margin-top: 15px;
}

#f .mx {
  padding-left: 40px;
  font-size: 0.8rem;
}

#f .tit {
  margin-bottom: calc(20px + 1%);
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
  font-size: 1rem;
  letter-spacing: 1px;
  font-weight: bold;
  text-transform: uppercase;
  white-space: nowrap;
}

#f .tit i {
  color: #008aff;
  font-size: 130%;
  position: absolute;
  left: -15px;
  transform: translateX(-100%);
  top: -10%;
}

#f .b {
  background-color: #e9ebe7;
  padding: 15px 0;
  font-size: calc(11px + 2 * (100vw - 320px) / 1080);
  text-align: center;
}

#f .b p {
  color: #777;
  line-height: 1.5;
  padding-right: 15px;
}

#f .b a {
  white-space: nowrap;
}

#f .b [data-scroll] {
  transform-origin: center bottom;
}

.df {
  padding-top: calc(130px + 20 * (100vw - 320px) / 1080);
}

.df h1 {
  font-weight: bold;
  font-size: calc(22px + 8 * (100vw - 320px) / 1080);
}

/* .dct h2,.dct h3,.dct h4{margin-top:calc(20px + 2%)} */

.dct hr {
  display: block;
  background: #f5f6f3;
  border: 0;
  width: 100%;
  height: 2px;
}

.dct * + * {
  margin-top: calc(12px + 1%);
}

.dct p,
.dct li {
  font-size: calc(11px + 2 * (100vw - 320px) / 1080);
  color: #7d778d;
  line-height: 1.3;
}

.dct p a {
  color: #ff3765;
  font-weight: bold;
}

.dct p a:hover {
  text-decoration: underline;
}

.dct p code {
  background: #eee;
  color: #ff3765;
  padding: 2px 5px;
  display: inline-block;
}

.dct h2 {
  font-size: calc(18px + 5 * (100vw - 320px) / 1080);
}

.dct h2 span {
  color: #ff3765;
}

.dct h3 {
  font-size: calc(16px + 4 * (100vw - 320px) / 1080);
}

.dct h4 {
  font-size: calc(14px + 3 * (100vw - 320px) / 1080);
}

.dct h5 {
  font-size: calc(13px + 1 * (100vw - 320px) / 1080);
}

.dct h6 {
  font-size: calc(12px + 1 * (100vw - 320px) / 1080);
}

.dct:not(.api) li {
  padding-left: calc(18px + 2 * (100vw - 320px) / 1080);
}

.dct:not(.api) li:before {
  position: absolute;
  left: 0;
  content: "•";
  color: #ff3765;
}

.dct:not(.api) li + li,
.dct:not(.api) li > ul {
  margin-top: calc(5px + 0.5%);
}

.dct .btn {
  margin-right: 5px;
}

.dct p a {
  color: #ff3765;
  font-weight: bold;
}

.dct p a:hover {
  text-decoration: underline;
}

.dct figure + * {
  margin-top: calc(25px + 1%);
}

.dct figure img {
  border-radius: 3px;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
}

.dct figure figcaption {
  font-size: calc(11px + 1 * (100vw - 320px) / 1080);
  margin-top: 10px;
  color: #807d89;
}

/* contact form */

.dct form > * {
  margin: calc(7px + 1%) 0;
}

.dct form label {
  z-index: 999;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 50px;
  text-align: center;
}

.dct form input,
.dct form textarea {
  padding: calc(15px + 1%);
  padding-left: 50px;
  width: 100%;
  background: #fff;
  border-radius: 10px;
  border: 1px solid #eee;
}

.dct form textarea {
  min-height: 200px;
}

.dct form .g-recaptcha {
  margin: 0 !important;
}

.dct form button[type="submit"] {
  padding: calc(10px + 1%);
  color: #fff;
 background: linear-gradient(to right, #667eea, #764ba2);
  border-radius: calc(20px + 5 * (100vw - 320px) / 1080);
}

/* articles */

/* .articles{display:flex;flex-wrap:wrap;gap:2%;} */

.articles_h1 {
  background-color: #f5f6f3;
  border-top: 1px solid #e9ebe7;
  width: 100%;
  padding: calc(25px + 10 * (100vw - 320px) / 1080);
}

/* .articles .article{width:calc(50% - 1%);margin-top: calc(15px + 1%)} */

.article {
  margin-top: calc(15px + 1%);
}

.article {
  background-color: #fafafa;
  box-shadow: 0 5px 8px rgba(62, 57, 78, 0.2);
  width: 100%;
  padding: calc(25px + 10 * (100vw - 320px) / 1080);
  border-radius: calc(20px + 5 * (100vw - 320px) / 1080);
}

.article > * {
  display: block;
}

.article > * + * {
  margin-top: 1%;
}

.article a {
  font-size: calc(15px + 3 * (100vw - 320px) / 1080);
  font-weight: bold;
}

.article time {
  font-size: calc(12px + 1 * (100vw - 320px) / 1080);
  letter-spacing: 2px;
  color: #7d778d;
}

.article p {
  font-size: calc(11px + 2 * (100vw - 320px) / 1080);
  color: #7d778d;
  line-height: 1.3;
}

.breadcrumb ul {
  display: flex;
  align-items: center;
}

.breadcrumb > *:last-child {
  margin-right: 0 !important;
}

.breadcrumb li {
  margin-top: 0 !important;
  margin-right: 15px !important;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
}

/*----------------------------------------------------< MEDIA QUERIES >---------------------------------------------------*/

/************* max 1200 **************/

@media screen and (max-width: 1200px) {
  #a {
    padding-left: 8vw;
  }
  #a .l {
    width: 45%;
  }
  #a .l:before {
    transform: scale(1.5);
  }
}

/************* max 1084 **************/

@media screen and (max-width: 1084px) {
  #a {
    flex-direction: column;
    text-align: center;
    padding-top: 170px;
    padding-left: 0;
    justify-content: flex-start;
    height: auto;
  }
  #a .l {
    width: calc(500px + 200 * (100vw - 320px) / 1080);
    max-width: 80%;
  }
  #a .in {
    justify-content: center;
  }
  #a .in .e {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding-right: 0;
  }
  #a .r {
    display: block;
    width: calc(350px + 150 * (100vw - 320px) / 1080);
    max-width: 80%;
    margin-top: calc(30px + 20 * (100vw - 320px) / 1080);
  }
  #a .rc {
    width: 100%;
    border-radius: calc(20px + 5 * (100vw - 320px) / 1080);
  }
  #a .m > * {
    text-align: center;
    display: block;
  }
  #a .m > * img {
    display: none;
  }
  .mc {
    height: 100%;
  }
  .mc #m {
    width: 100%;
    height: 200vh;
    transform: translateY(-100vh);
    margin-top: 200px;
  }
  .mc .leaflet-control-container {
    left: 0;
    margin-left: 5px;
    top: 50%;
  }
  .u {
    flex-wrap: wrap;
    margin-top: calc(15px + 10 * (100vw - 320px) / 1080);
  }
  .u > * {
    width: 100%;
  }
  .c {
    padding: 0 8vw;
  }
}

/************* max 750 **************/

@media screen and (max-width: 750px) {
  #f .l {
    width: 100%;
    max-width: 100%;
    flex-basis: 100%;
    justify-content: center;
    text-align: center;
    margin-bottom: calc(25px + 15 * (100vw - 320px) / 1080);
  }
  #f .mx {
    width: 50%;
    max-width: 50%;
    flex-basis: 50%;
    padding-right: 0;
    text-align: center;
  }
  #f .t .c > div:not(.nv) {
    padding-right: 0;
  }
  #h .nv {
    display: flex;
  }
  #h .un {
    transform: translateY(-100%);
    transition: 0.6s;
    z-index: 999;
    position: fixed;
    top: 0;
    left: 0;
    background: #fafafa;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
    width: 100%;
    flex-direction: column;
    padding: calc(15px + 2%) 0 calc(15px + 1%);
  }
  .on #h .un {
    transform: translateY(0);
  }
  #h .un li + li {
    margin-left: 0;
    margin-top: 10px;
  }
}

/************* max 600 **************/

@media screen and (max-width: 600px) {
  #a .in .e {
    display: block;
    text-align: left;
  }
}

/************* max 450 **************/

@media screen and (max-width: 450px) {
  #f .mx {
    width: 100%;
    max-width: 100%;
    flex-basis: 100%;
    padding-left: 0;
  }
  #f .mx + .mx {
    margin-top: calc(35px + 10 * (100vw - 320px) / 1080);
  }
}

/************* leaflet **************/

.leaflet-pane,
.leaflet-tile,
.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-tile-container,
.leaflet-pane > svg,
.leaflet-pane > canvas,
.leaflet-zoom-box,
.leaflet-image-layer,
.leaflet-layer {
  position: absolute;
  left: 0;
  top: 0;
}

.leaflet-container {
  overflow: hidden;
}

.leaflet-tile,
.leaflet-marker-icon,
.leaflet-marker-shadow {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  -webkit-user-drag: none;
}

/* Prevents IE11 from highlighting tiles in blue */

.leaflet-tile::selection {
  background: transparent;
}

/* Safari renders non-retina tile on retina better with this, but Chrome is worse */

.leaflet-safari .leaflet-tile {
  image-rendering: -webkit-optimize-contrast;
}

/* hack that prevents hw layers "stretching" when loading new tiles */

.leaflet-safari .leaflet-tile-container {
  width: 1600px;
  height: 1600px;
  -webkit-transform-origin: 0 0;
}

.leaflet-marker-icon,
.leaflet-marker-shadow {
  display: block;
}

/* .leaflet-container svg: reset svg max-width decleration shipped in Joomla! (joomla.org) 3.x */

/* .leaflet-container img: map is broken in FF if you have max-width: 100% on tiles */

.leaflet-container .leaflet-overlay-pane svg,
.leaflet-container .leaflet-marker-pane img,
.leaflet-container .leaflet-shadow-pane img,
.leaflet-container .leaflet-tile-pane img,
.leaflet-container img.leaflet-image-layer,
.leaflet-container .leaflet-tile {
  max-width: none !important;
  max-height: none !important;
}

.leaflet-container.leaflet-touch-zoom {
  -ms-touch-action: pan-x pan-y;
  touch-action: pan-x pan-y;
}

.leaflet-container.leaflet-touch-drag {
  -ms-touch-action: pinch-zoom;
  /* Fallback for FF which doesn't support pinch-zoom */
  touch-action: none;
  touch-action: pinch-zoom;
}

.leaflet-container.leaflet-touch-drag.leaflet-touch-zoom {
  -ms-touch-action: none;
  touch-action: none;
}

.leaflet-container {
  -webkit-tap-highlight-color: transparent;
}

.leaflet-container a {
  -webkit-tap-highlight-color: rgba(51, 181, 229, 0.4);
}

.leaflet-tile {
  filter: inherit;
  visibility: hidden;
}

.leaflet-tile-loaded {
  visibility: inherit;
}

.leaflet-zoom-box {
  width: 0;
  height: 0;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  z-index: 800;
}

/* workaround for https://bugzilla.mozilla.org/show_bug.cgi?id=888319 */

.leaflet-overlay-pane svg {
  -moz-user-select: none;
}

.leaflet-pane {
  z-index: 400;
}

.leaflet-tile-pane {
  z-index: 200;
}

.leaflet-overlay-pane {
  z-index: 400;
}

.leaflet-shadow-pane {
  z-index: 500;
}

.leaflet-marker-pane {
  z-index: 600;
}

.leaflet-tooltip-pane {
  z-index: 650;
}

.leaflet-popup-pane {
  z-index: 700;
}

.leaflet-map-pane canvas {
  z-index: 100;
}

.leaflet-map-pane svg {
  z-index: 200;
}

.leaflet-vml-shape {
  width: 1px;
  height: 1px;
}

.lvml {
  behavior: url(#default#VML);
  display: inline-block;
  position: absolute;
}

/* control positioning */

.leaflet-control {
  position: relative;
  z-index: 800;
  pointer-events: visiblePainted;
  /* IE 9-10 doesn't have auto */
  pointer-events: auto;
}

.leaflet-top,
.leaflet-bottom {
  position: absolute;
  z-index: 1000;
  pointer-events: none;
}

.leaflet-top {
  top: 0;
}

.leaflet-right {
  right: 0;
}

.leaflet-bottom {
  bottom: 0;
}

.leaflet-left {
  left: 0;
}

.leaflet-control {
  float: left;
  clear: both;
}

.leaflet-right .leaflet-control {
  float: right;
}

.leaflet-top .leaflet-control {
  margin-top: 10px;
}

.leaflet-bottom .leaflet-control {
  margin-bottom: 10px;
}

.leaflet-left .leaflet-control {
  margin-left: 10px;
}

.leaflet-right .leaflet-control {
  margin-right: 10px;
}

/* zoom and fade animations */

.leaflet-fade-anim .leaflet-tile {
  will-change: opacity;
}

.leaflet-fade-anim .leaflet-popup {
  opacity: 0;
  -webkit-transition: opacity 0.2s linear;
  -moz-transition: opacity 0.2s linear;
  transition: opacity 0.2s linear;
}

.leaflet-fade-anim .leaflet-map-pane .leaflet-popup {
  opacity: 1;
}

.leaflet-zoom-animated {
  -webkit-transform-origin: 0 0;
  -ms-transform-origin: 0 0;
  transform-origin: 0 0;
}

.leaflet-zoom-anim .leaflet-zoom-animated {
  will-change: transform;
}

.leaflet-zoom-anim .leaflet-zoom-animated {
  -webkit-transition: -webkit-transform 0.25s cubic-bezier(0, 0, 0.25, 1);
  -moz-transition: -moz-transform 0.25s cubic-bezier(0, 0, 0.25, 1);
  transition: transform 0.25s cubic-bezier(0, 0, 0.25, 1);
}

.leaflet-zoom-anim .leaflet-tile,
.leaflet-pan-anim .leaflet-tile {
  -webkit-transition: none;
  -moz-transition: none;
  transition: none;
}

.leaflet-zoom-anim .leaflet-zoom-hide {
  visibility: hidden;
}

/* cursors */

.leaflet-interactive {
  cursor: pointer;
}

.leaflet-grab {
  cursor: -webkit-grab;
  cursor: -moz-grab;
  cursor: grab;
}

.leaflet-crosshair,
.leaflet-crosshair .leaflet-interactive {
  cursor: crosshair;
}

.leaflet-popup-pane,
.leaflet-control {
  cursor: auto;
}

.leaflet-dragging .leaflet-grab,
.leaflet-dragging .leaflet-grab .leaflet-interactive,
.leaflet-dragging .leaflet-marker-draggable {
  cursor: move;
  cursor: -webkit-grabbing;
  cursor: -moz-grabbing;
  cursor: grabbing;
}

/* marker & overlays interactivity */

.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-image-layer,
.leaflet-pane > svg path,
.leaflet-tile-container {
  pointer-events: none;
}

.leaflet-marker-icon.leaflet-interactive,
.leaflet-image-layer.leaflet-interactive,
.leaflet-pane > svg path.leaflet-interactive,
svg.leaflet-image-layer.leaflet-interactive path {
  pointer-events: visiblePainted;
  /* IE 9-10 doesn't have auto */
  pointer-events: auto;
}

/* visual tweaks */

.leaflet-container {
  background: #ddd;
  outline: 0;
}

.leaflet-container a {
  color: #0078a8;
}

.leaflet-container a.leaflet-active {
  outline: 2px solid orange;
}

.leaflet-zoom-box {
  border: 2px dotted #38f;
  background: rgba(255, 255, 255, 0.5);
}

/* general typography */

.leaflet-container {
  font: 12px/1.5 "Helvetica Neue", Arial, Helvetica, sans-serif;
}

/* general toolbar styles */

.leaflet-bar {
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.65);
  border-radius: 4px;
}

.leaflet-bar a,
.leaflet-bar a:hover {
  background-color: #fff;
  border-bottom: 1px solid #ccc;
  width: 26px;
  height: 26px;
  line-height: 26px;
  display: block;
  text-align: center;
  text-decoration: none;
  color: black;
}

.leaflet-bar a,
.leaflet-control-layers-toggle {
  background-position: 50% 50%;
  background-repeat: no-repeat;
  display: block;
}

.leaflet-bar a:hover {
  background-color: #f4f4f4;
}

.leaflet-bar a:first-child {
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

.leaflet-bar a:last-child {
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  border-bottom: none;
}

.leaflet-bar a.leaflet-disabled {
  cursor: default;
  background-color: #f4f4f4;
  color: #bbb;
}

.leaflet-touch .leaflet-bar a {
  width: 30px;
  height: 30px;
  line-height: 30px;
}

.leaflet-touch .leaflet-bar a:first-child {
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
}

.leaflet-touch .leaflet-bar a:last-child {
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
}

/* zoom control */

.leaflet-control-zoom-in,
.leaflet-control-zoom-out {
  font: bold 18px "Lucida Console", Monaco, monospace;
  text-indent: 1px;
}

.leaflet-touch .leaflet-control-zoom-in,
.leaflet-touch .leaflet-control-zoom-out {
  font-size: 22px;
}

/* layers control */

.leaflet-control-layers {
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.4);
  background: #fff;
  border-radius: 5px;
}

.leaflet-control-layers-toggle {
  background-image: url(../img/leaflet/layers.png);
  width: 36px;
  height: 36px;
}

.leaflet-retina .leaflet-control-layers-toggle {
  background-image: url(../img/leaflet/layers-2x.png);
  background-size: 26px 26px;
}

.leaflet-touch .leaflet-control-layers-toggle {
  width: 44px;
  height: 44px;
}

.leaflet-control-layers .leaflet-control-layers-list,
.leaflet-control-layers-expanded .leaflet-control-layers-toggle {
  display: none;
}

.leaflet-control-layers-expanded .leaflet-control-layers-list {
  display: block;
  position: relative;
}

.leaflet-control-layers-expanded {
  padding: 6px 10px 6px 6px;
  color: #333;
  background: #fff;
}

.leaflet-control-layers-scrollbar {
  overflow-y: scroll;
  overflow-x: hidden;
  padding-right: 5px;
}

.leaflet-control-layers-selector {
  margin-top: 2px;
  position: relative;
  top: 1px;
}

.leaflet-control-layers label {
  display: block;
}

.leaflet-control-layers-separator {
  height: 0;
  border-top: 1px solid #ddd;
  margin: 5px -10px 5px -6px;
}

/* Default icon URLs */

.leaflet-default-icon-path {
  background-image: url(../img/leaflet/marker-icon.png);
}

/* attribution and scale controls */

.leaflet-container .leaflet-control-attribution {
  background: #fff;
  background: rgba(255, 255, 255, 0.7);
  margin: 0;
}

.leaflet-control-attribution,
.leaflet-control-scale-line {
  padding: 0 5px;
  color: #333;
}

.leaflet-control-attribution a {
  text-decoration: none;
}

.leaflet-control-attribution a:hover {
  text-decoration: underline;
}

.leaflet-container .leaflet-control-attribution,
.leaflet-container .leaflet-control-scale {
  font-size: 11px;
}

.leaflet-left .leaflet-control-scale {
  margin-left: 5px;
}

.leaflet-bottom .leaflet-control-scale {
  margin-bottom: 5px;
}

.leaflet-control-scale-line {
  border: 2px solid #777;
  border-top: none;
  line-height: 1.1;
  padding: 2px 5px 1px;
  font-size: 11px;
  white-space: nowrap;
  overflow: hidden;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  background: #fff;
  background: rgba(255, 255, 255, 0.5);
}

.leaflet-control-scale-line:not(:first-child) {
  border-top: 2px solid #777;
  border-bottom: none;
  margin-top: -2px;
}

.leaflet-control-scale-line:not(:first-child):not(:last-child) {
  border-bottom: 2px solid #777;
}

.leaflet-touch .leaflet-control-attribution,
.leaflet-touch .leaflet-control-layers,
.leaflet-touch .leaflet-bar {
  box-shadow: none;
}

.leaflet-touch .leaflet-control-layers,
.leaflet-touch .leaflet-bar {
  border: 2px solid rgba(0, 0, 0, 0.2);
  background-clip: padding-box;
}

/* popup */

.leaflet-popup {
  position: absolute;
  text-align: center;
  margin-bottom: 20px;
}

.leaflet-popup-content-wrapper {
  padding: 1px;
  text-align: left;
  border-radius: 12px;
}

.leaflet-popup-content {
  margin: 13px 19px;
  line-height: 1.4;
}

.leaflet-popup-content p {
  margin: 18px 0;
}

.leaflet-popup-tip-container {
  width: 40px;
  height: 20px;
  position: absolute;
  left: 50%;
  margin-left: -20px;
  overflow: hidden;
  pointer-events: none;
}

.leaflet-popup-tip {
  width: 17px;
  height: 17px;
  padding: 1px;
  margin: -10px auto 0;
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.leaflet-popup-content-wrapper,
.leaflet-popup-tip {
  background: white;
  color: #333;
  box-shadow: 0 3px 14px rgba(0, 0, 0, 0.4);
}

.leaflet-container a.leaflet-popup-close-button {
  position: absolute;
  top: 0;
  right: 0;
  padding: 4px 4px 0 0;
  border: none;
  text-align: center;
  width: 18px;
  height: 14px;
  font: 16px/14px Tahoma, Verdana, sans-serif;
  color: #c3c3c3;
  text-decoration: none;
  font-weight: bold;
  background: transparent;
}

.leaflet-container a.leaflet-popup-close-button:hover {
  color: #999;
}

.leaflet-popup-scrolled {
  overflow: auto;
  border-bottom: 1px solid #ddd;
  border-top: 1px solid #ddd;
}

.leaflet-oldie .leaflet-popup-content-wrapper {
  zoom: 1;
}

.leaflet-oldie .leaflet-popup-tip {
  width: 24px;
  margin: 0 auto;
  -ms-filter: "progid:DXImageTransform.Microsoft.Matrix(M11=0.70710678, M12=0.70710678, M21=-0.70710678, M22=0.70710678)";
  filter: progid:DXImageTransform.Microsoft.Matrix(M11=0.70710678, M12=0.70710678, M21=-0.70710678, M22=0.70710678);
}

.leaflet-oldie .leaflet-popup-tip-container {
  margin-top: -1px;
}

.leaflet-oldie .leaflet-control-zoom,
.leaflet-oldie .leaflet-control-layers,
.leaflet-oldie .leaflet-popup-content-wrapper,
.leaflet-oldie .leaflet-popup-tip {
  border: 1px solid #999;
}

/* div icon */

.leaflet-div-icon {
  background: #fff;
  border: 1px solid #666;
}

/* Tooltip */

/* Base styles for the element that has a tooltip */

.leaflet-tooltip {
  position: absolute;
  padding: 6px;
  background-color: #fff;
  border: 1px solid #fff;
  border-radius: 3px;
  color: #222;
  white-space: nowrap;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
}

.leaflet-tooltip.leaflet-clickable {
  cursor: pointer;
  pointer-events: auto;
}

.leaflet-tooltip-top:before,
.leaflet-tooltip-bottom:before,
.leaflet-tooltip-left:before,
.leaflet-tooltip-right:before {
  position: absolute;
  pointer-events: none;
  border: 6px solid transparent;
  background: transparent;
  content: "";
}

/* Directions */

.leaflet-tooltip-bottom {
  margin-top: 6px;
}

.leaflet-tooltip-top {
  margin-top: -6px;
}

.leaflet-tooltip-bottom:before,
.leaflet-tooltip-top:before {
  left: 50%;
  margin-left: -6px;
}

.leaflet-tooltip-top:before {
  bottom: 0;
  margin-bottom: -12px;
  border-top-color: #fff;
}

.leaflet-tooltip-bottom:before {
  top: 0;
  margin-top: -12px;
  margin-left: -6px;
  border-bottom-color: #fff;
}

.leaflet-tooltip-left {
  margin-left: -6px;
}

.leaflet-tooltip-right {
  margin-left: 6px;
}

.leaflet-tooltip-left:before,
.leaflet-tooltip-right:before {
  top: 50%;
  margin-top: -6px;
}

.leaflet-tooltip-left:before {
  right: 0;
  margin-right: -12px;
  border-left-color: #fff;
}

.leaflet-tooltip-right:before {
  left: 0;
  margin-left: -12px;
  border-right-color: #fff;
}
.ip-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  margin-top: 20px;
  padding: 20px;
  align-items: center;
  justify-content: center;
  text-align: center;
  background: linear-gradient(
      to right,
      rgb(102, 125, 182),
      rgb(0, 130, 200),
      rgb(0, 130, 200),
      rgb(102, 125, 182)
    )
    text;
}
.mobile-ip-container{
  display: grid;
  gap: 20px;
  margin-top: 20px;
  padding: 20px;
  align-items: center;
  justify-content: center;
  text-align: center;
  background: linear-gradient(
      to right,
      rgb(102, 125, 182),
      rgb(0, 130, 200),
      rgb(0, 130, 200),
      rgb(102, 125, 182)
    )
    text;
}
.ip-item {
  font-size: calc(12px + 1 * (100vw - 320px) / 1080);
  color: #7d778d;
  /* font-size: 14px; */
}

.ip-item strong {
  display: block;
  font-weight: 800;
  /* color: #ffeb3b; Highlighted Text */
  font-size: calc(14px + 1 * (100vw - 320px) / 1080);
  margin-bottom: 7px;
}

.copy-status {
  display: block;
  font-size: 12px;
  margin-top: 7px;
}

@media (max-width: 768px) {
  .ip-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 480px) {
  .ip-container {
    grid-template-columns: repeat(1, 1fr);
  }
}
@media (max-width: 600px) {
  #a h1 {
    font-size: calc(16px + 15*(100vw - 320px) / 1080);
  }
}
@media (max-width: 600px) {
  #a h1 {
    font-size: calc(12px + 15*(100vw - 320px) / 1080);
  }
}
.phone-container {
  display: flex;
  align-items: center;
  border: 1px solid #ccc;
  overflow: hidden;
  background: #f8f9fa;
}

#phone {
  flex: 1;
  border: none;
  padding: 10px;
  font-size: 16px;
  outline: none;
  background: transparent;
}
